- hosts: sw
  become: true
  tasks:

  - name: setup switch
    include_role:
      name: cumulus
    vars:
      evpn: yes
      interfaces: [swp1, swp2, swp3]
      loopback_addr: 10.99.0.2
      as_num: 64702
      peer_group: fabric
      advertise_vni: yes
      neighbor_interfaces: [swp1]

  - name: add merge repos
    shell: curl -L https://pkg.mergetb.net/addrepo | RELEASE=buster bash -
    args:
      warn: false

  - name: install canopy
    apt:
      name: 
      - canopy-server
      - canopy-client
      update_cache: true
